
#property  copyright "Copyright  2008, MetaQuotes Software Corp."
#property  link      "http://www.metaquotes.net/"
//---- indicator settings
#property  indicator_separate_window
#property  indicator_buffers 8
#property  indicator_color1  Lime
#property  indicator_color2  Lime
#property  indicator_color3  Lime
#property  indicator_color4  Lime
#property  indicator_color5  Lime
#property  indicator_color6  Lime
#property  indicator_color7  Lime
#property  indicator_color8  Yellow

//---- indicator buffers
double     GarisClose[];
double     GarisOpen[];
double     GarisMA[];
double     BBUpper1[],BBLower1[],BBUpper2[],BBLower2[],BBUpper3[],BBLower3[];

extern int Periode=24;
extern int MA_Methode=1;
extern int Price_Type=0;
string tanda;
string tanda1;
string tanda2;
string tanda3;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- 2 additional buffers are used for counting.
   IndicatorBuffers(8);
//---- drawing settings
   SetIndexStyle(0,DRAW_LINE,STYLE_DOT); 
   SetIndexStyle(1,DRAW_LINE,STYLE_DOT);
   SetIndexStyle(2,DRAW_LINE,STYLE_DOT); 
   SetIndexStyle(3,DRAW_LINE,STYLE_DOT);
   SetIndexStyle(4,DRAW_LINE,STYLE_DOT); 
   SetIndexStyle(5,DRAW_LINE,STYLE_DOT);
   SetIndexStyle(6,DRAW_LINE,0,1);
   //SetIndexStyle(3,DRAW_LINE);
   SetIndexStyle(7,DRAW_LINE,0,1);
   IndicatorDigits(Digits+2);
   SetIndexDrawBegin(0,38);
   SetIndexDrawBegin(1,38);
   SetIndexDrawBegin(2,38);
//---- 4 indicator buffers mapping
   SetIndexBuffer(0,BBLower1);   
   SetIndexBuffer(1,BBUpper1);
   SetIndexBuffer(2,BBLower2);   
   SetIndexBuffer(3,BBUpper2);
   SetIndexBuffer(4,BBLower3);   
   SetIndexBuffer(5,BBUpper3);
   SetIndexBuffer(6,GarisMA);
   //SetIndexBuffer(3,GarisOpen);
   SetIndexBuffer(7,GarisClose);
//---- name for DataWindow and indicator subwindow label
   
   SetIndexLabel(1,NULL);
   SetIndexLabel(2,NULL);
//---- initialization done
   return(0);
  }
//+------------------------------------------------------------------+
//| Accelerator/Decelerator Oscillator                               |
//+------------------------------------------------------------------+
int start()
  {
   int    limit;
   int    counted_bars=IndicatorCounted();
   double prev,current,middle,upper,lower,close,sma_middle,middle1;
   double stochmain,stochsign;
   
   //---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
   //---- macd counted in the 1-st additional buffer
   for(int i=0; i<limit; i++)
   {
      GarisClose[i]=iMA(NULL,0,1,0,MA_Methode,Price_Type,i)-iMA(NULL,0,Periode,0,MA_Methode,Price_Type,i);
      //GarisOpen[i]=iOpen(NULL,0,i)-iMA(NULL,0,Periode,0,MA_Methode,Price_Type,i);
   }
   //---- dispatch values between 2 buffers
   for(i=0; i<limit; i++)
   {
      GarisMA[i]=iMAOnArray(GarisClose,Bars,Periode,0,MA_Methode,i);
      BBUpper1[i]=iBandsOnArray(GarisClose,Bars,Periode,1,0,MODE_UPPER,i);
      BBLower1[i]=iBandsOnArray(GarisClose,Bars,Periode,1,0,MODE_LOWER,i);
      BBUpper2[i]=iBandsOnArray(GarisClose,Bars,Periode,2,0,MODE_UPPER,i);
      BBLower2[i]=iBandsOnArray(GarisClose,Bars,Periode,2,0,MODE_LOWER,i);
      BBUpper3[i]=iBandsOnArray(GarisClose,Bars,Periode,3,0,MODE_UPPER,i);
      BBLower3[i]=iBandsOnArray(GarisClose,Bars,Periode,3,0,MODE_LOWER,i);
      
   }
  
   return(0);
  }
//+------------------------------------------------------------------+

